textures/shaders/GEONOSIS/terrain_0
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/geonosis/geo_sand_2.jpg
		tcmod scale 0.125 0.125
		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/shaders/GEONOSIS/terrain_1
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/geonosis/geo_rock_1.jpg
		tcmod scale 0.125 0.125
		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/shaders/GEONOSIS/terrain_2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/geonosis/geo_sand_rock.jpg
		tcmod scale 0.125 0.125
		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/shaders/GEONOSIS/terrain_0to1
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	
	{
		map textures/geonosis/geo_sand_2.jpg
		tcmod scale 0.125 0.125
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/geonosis/geo_rock_1.jpg
		tcmod scale 0.125 0.125
		alphaGen vertex
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/shaders/GEONOSIS/terrain_0to2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	
	{
		map textures/geonosis/geo_sand_2.jpg
		tcmod scale 0.125 0.125
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/geonosis/geo_sand_rock.jpg
		tcmod scale 0.125 0.125
		alphaGen vertex
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/shaders/GEONOSIS/terrain_1to2
{
	q3map_lightmapsamplesize 64
	q3map_lightmapaxis z
	q3map_texturesize 1024 1024
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	
	{
		map textures/geonosis/geo_rock_1.jpg
		tcmod scale 0.125 0.125
		rgbGen vertex
		alphaGen vertex
	}
	{
		map textures/geonosis/geo_sand_rock.jpg
		tcmod scale 0.125 0.125
		alphaGen vertex
		rgbGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/shaders/GEONOSIS/terrain.vertex
{
	{
		map textures/geonosis/geo_sand_2.jpg
		rgbGen vertex
		tcmod scale 0.125 0.125
	}
}




textures/geonosis/geo_sky
{
	q3map_lightimage	textures/mp/s_flatyellow.tga
	qer_editorimage	textures/skies/desert_up.tga
	q3map_surfacelight	145
	q3map_lightsubdivide	2048
	sun 1 0.62862 0.239006 175 25 70
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/geonosis/geosky 512 -
    {
        map textures/geonosis/dustclouds
        alphaFunc GE192
        blendFunc GL_ONE GL_SRC_COLOR
        rgbGen const ( 0.952941 0.862745 0.537255 )
        tcMod scroll 0 0.01
        tcMod scale 2.5 2.5
    }
}



textures/geonosis/redfog
{
	qer_editorimage	textures/fogs/fog.tga
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
	fogparms	( 1.000000 0.628620 0.239006 ) 13000.0
}


gfx/effects/redcloud
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	cull	twosided
    {
        map gfx/effects/bp_smoke01
        blendFunc GL_DST_COLOR GL_SRC_ALPHA
    }
}

gfx/effects/redcloud2
{
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	cull	twosided
    {
        map gfx/effects/bp_smoke02
        blendFunc GL_DST_COLOR GL_SRC_ALPHA
    }
}


textures/geonosis/rusty
{
    {
        map textures/geonosis/rusty
    }
    {
        map textures/geonosis/rusty_env
        blendFunc GL_DST_COLOR GL_ONE
        tcGen environment
    }
    {
        map textures/geonosis/rusty_trans
        alphaFunc GE128
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}



textures/geonosis/burned
{
	polygonOffset
	q3map_nolightmap
	sort decal
    {
        map textures/geonosis/burned
        alphaFunc GE128
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}


textures/geonosis/starship
{
	qer_editorimage	textures/byss/isd_midsection
	q3map_nolightmap
    {
        map textures/byss/isd_midsection
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen const ( 0.901961 0.749020 0.447059 )
    }
    {
        map textures/byss/isd_midsection_glow
        blendFunc GL_ONE GL_ONE
    }
}



textures/geonosis/starship_bottom
{
	qer_editorimage	textures/byss/isd_basepanel1
	q3map_nolightmap
    {
        map textures/byss/byss_basic1
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen const ( 0.901961 0.749020 0.447059 )
    }
}



textures/geonosis/stone
{
	qer_editorimage	textures/geonosis/rusty
    {
        map textures/geonosis/stone_normal
    }
    {
        map textures/geonosis/stone_light
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
    }
    {
        map textures/geonosis/stone_env
        alphaFunc GE128
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}



