textures/greenland/greensky
{
	q3map_lightimage	textures/mp/s_flatyellow.tga
	qer_editorimage	textures/skies/sky.tga
	q3map_surfacelight	145
	q3map_lightsubdivide	2048
	sun 0.666667 0.807843 0.45098 75 25 70
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/greenland/greensky 512 -
    {
        map textures/greenland/dustclouds
        alphaFunc GE192
        blendFunc GL_ONE GL_SRC_COLOR
        rgbGen const ( 0.862745 0.878431 0.780392 )
        tcMod scroll 0 0.01
        tcMod scale 2.5 2.5
    }
}

textures/greenland/greenfog
{
	qer_editorimage	textures/fogs/fog.tga
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
	fogparms	( 0.509804 0.568627 0.27451 ) 5000.0
}

textures/greenland/greenwater1
{
	qer_editorimage	textures/greenland/green_water
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	q3map_onlyvertexlighting
	deformvertexes	wave	100 sin 1 3 3 0.7
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/greenland/green_water
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod turb 0.01 0.03 5 0.1
        tcMod stretch noise 1 0.01 1 1
        tcMod scale 3 3
    }
    {
        map textures/common/water_1
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.674510 0.729412 0.454902 )
        tcMod turb 0.02 -0.06 0 0.1
        tcMod stretch noise 4 1 0 0.01
        tcMod scale 3 3
    }
    {
        map textures/greenland/greenwatersmall_b
        blendFunc GL_DST_COLOR GL_ONE
    }
    {
        map textures/greenland/green_water
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod turb 0 0.06 0 0.06
    }
}

textures/greenland/green_ground
{
	qer_editorimage	textures/greenland/green_water
    {
        map textures/greenland/green_water
    }
    {
        map textures/greenland/greenwatersmall_b
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod turb 0 0.01 0 0.01
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
    {
        map textures/greenland/greenwatersmall_b
        blendFunc GL_DST_COLOR GL_ONE
        tcGen environment
        tcMod turb 0 0.07 0 0.07
        tcMod scale 5 5
    }
}

textures/greenland/sky_planet
{
    {
        map textures/greenland/sky_planet
        blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE
    }
}

textures/greenland/skybox
{
	q3map_nolightmap
    {
        map textures/greenland/skybox
        alphaFunc GE192
        blendFunc GL_DST_ALPHA GL_ZERO
    }
}

textures/greenland/rusty
{
    {
        map textures/greenland/rusty
        rgbGen const ( 0.509804 0.568627 0.274510 )
    }
    {
        map textures/greenland/dustclouds
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen const ( 0.509804 0.568627 0.274510 )
        tcGen environment
        tcMod scroll 0 0.01
        tcMod scale 2.5 2.5
    }
    {
        map textures/greenland/rusty_trans
        alphaFunc GE128
        rgbGen const ( 0.509804 0.568627 0.274510 )
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/greenland/logo_rusty
{
	polygonOffset
	q3map_nolightmap
	sort	decal
    {
        map textures/greenland/logo_rusty
        alphaFunc GE192
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/greenland/ship
{
	surfaceparm	trans
	polygonOffset
	q3map_nolightmap
    {
        map textures/greenland/ship
        alphaFunc GE192
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/greenland/greenwater2
{
	qer_editorimage	textures/greenland/green_water
	q3map_tesssize	64
	qer_trans	0.8
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	sort	banner
	deformvertexes	wave	64 sin 0 1 0.3 2
    {
        map textures/greenland/green_water
        alphaFunc GE128
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen const ( 0.500000 0.500000 0.500000 )
        alphaGen const 1
        tcMod turb 0 0.25 0 0.25
    }
    {
        map textures/greenland/greenwatersmall_b
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.500000 0.400000 0.400000 )
        tcGen environment
    }
    {
        map textures/greenland/envmap
        blendFunc GL_DST_COLOR GL_ZERO
        tcGen environment
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

