// skyparms work like this:

// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>

// color will be normalized, so it doesn't matter what range you use

// intensity falls off with angle but not distance 100 is a fairly bright sun

// degree of 0 = from the east, 90 = north, etc. altitude of 0 = sunrise/set, 90 = noon

textures/skies/firetower
{
	qer_editorimage	textures/skies/sky.tga
	q3map_surfacelight	10
	sun 1 0.62862 0.239006 300 80 80
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	q3map_nolightmap
	skyParms	textures/skies/korb 512 -
}

textures/skies/testcloud
{
	qer_editorimage	textures/skies/cloudlayer2
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_material	Glass
	q3map_nolightmap
    {
        map textures/skies/testcloud
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.501961 0.501961 0.501961 )
        tcMod scroll 0.3 0.3
        tcMod turb 1 0.0001 0.0001 0.0001
    }
}

textures/firetower/shield
{
	surfaceparm	nonsolid
	deformvertexes	wave	100 sin 0 0.5 0 2
    {
        map textures/firetower/shield
        blendFunc GL_ONE GL_ONE
        tcGen environment
        tcMod turb 0 0.2 0 0.2
    }
    {
        map textures/firetower/shield
        blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_COLOR
        tcGen environment
    }
    {
        map textures/firetower/blitz
        blendFunc GL_DST_COLOR GL_ONE
        alphaGen wave sin 0 10000 100 1.3
        tcMod scale 2 2
        tcMod scroll 10 10
        tcMod turb 60 1 60 1
        tcMod stretch sin 1 10.5 0.001 0.5
    }
}

