textures/illutec_hoth/hoth_sky_new
{
	qer_editorimage	textures/skies/sky.tga
	skyParms	textures/illutec_hoth/hoth_sky 1024 -
	q3map_sunExt 1 0.96 0.9 90 0 90 2 16
	q3map_lightmapFilterRadius 0 8
	q3map_skylight	350 4	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm	nomarks
	nopicmip
	nomipmaps
}

textures/illutec_hoth/terrain_0
{
	q3map_material	Snow
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
    {
	map textures/hoth/h_outground.jpg
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	tcGen lightmap
    }
}

textures/illutec_hoth/terrain_1
{
	q3map_material	Snow
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
    {
	map textures/hoth/h_outground_2.jpg
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	tcGen lightmap
    }
}

textures/illutec_hoth/terrain_2
{
	q3map_material	Snow
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
    {
	map textures/hoth/h_outground_3.jpg
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	tcGen lightmap
    }
}

textures/illutec_hoth/terrain_0to1
{
	q3map_material	Snow
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )	
    {
	map textures/hoth/h_outground.jpg
    }
    {
	map textures/hoth/h_outground_2.jpg
	alphaGen vertex
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	tcGen lightmap
    }
}

textures/illutec_hoth/terrain_0to2
{
	q3map_material	Snow
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )	
    {
	map textures/hoth/h_outground.jpg
    }
    {
	map textures/hoth/h_outground_3.jpg
	alphaGen vertex
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	tcGen lightmap
    }
}

textures/illutec_hoth/terrain_1to2
{
	q3map_material	Snow
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )	
    {
	map textures/hoth/h_outground_2.jpg
    }
    {
	map textures/hoth/h_outground_3.jpg
	alphaGen vertex
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	tcGen lightmap
    }
}

textures/illutec_hoth/terrain.vertex
{
	q3map_material	Snow
	q3map_nonplanar
	q3map_shadeangle 60
    {
	map textures/hoth/h_outground.jpg
	rgbGen vertex
    }
}

textures/illutec_hoth/floorgrate
{
	qer_editorimage	textures/illutec_hoth/floorgrate
	q3map_material	HollowMetal
    {
        map textures/illutec_hoth/floorgrate
        alphaFunc GT0
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/illutec_hoth/stack
{
	qer_editorimage	textures/cairn/stack
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/cairn/stack
	blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/illutec_hoth/lightmap2
{
	qer_editorimage	textures/imp_mine/lightmap2
	q3map_nolightmap
	cull	twosided
    {
        map textures/imp_mine/lightmap2
        blendFunc GL_ONE GL_ONE
        rgbGen identity
	glow
    }
}

textures/illutec_hoth/lightmap3
{
	qer_editorimage	textures/imp_mine/lightmap3
	q3map_nolightmap
	cull	twosided
    {
        map textures/imp_mine/lightmap3
        blendFunc GL_ONE GL_ONE
        rgbGen identity
	glow
    }
}

textures/illutec_hoth/lightmap4
{
	qer_editorimage	textures/imp_mine/lightmap4
	q3map_nolightmap
	cull	twosided
    {
        map textures/imp_mine/lightmap4
        blendFunc GL_ONE GL_ONE
        rgbGen identity
	glow
    }
}

textures/illutec_hoth/lightmap5
{
	qer_editorimage	textures/imp_mine/lightmap5
	q3map_nolightmap
	cull	twosided
    {
        map textures/imp_mine/lightmap5
        blendFunc GL_ONE GL_ONE
        rgbGen identity
	glow
    }
}

textures/illutec_hoth/flare_white_big
{
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	deformvertexes	autoSprite	
    {
        map textures/flares/standard_flare_bigger
        blendFunc GL_ONE GL_ONE
        depthFunc disable
        rgbGen const ( 1 1 1 )
        alphaGen portal 50
    }
}
